class SupportsController < ApplicationController

  respond_to :html
  def show
    if current_user.nil?
      redirect_to signin_url + "?redirect-to=" + URI.escape("/help_desk"), notice: "Please sign in."
      return
    end
    gon.has_support = current_user.has_support?
    gon.email = current_user.email
    gon.in_trial = !current_user.subscription_trial_ended?
    gon.plan_code = current_user.subscription_plan_code

    @title = "Help Desk"
    @description = "The JamKazam help desk offers 1:1 help desk support only to our Gold and Platinum plan subscribers, as well as those in their initial 30-day trial period."
    render 'show', :layout => 'support'
  end


end